#ifndef CLOSEST_POLYMESH_POINT_H
#define CLOSEST_POLYMESH_POINT_H

#include <vtkPolyData.h>
#include <vtkKdTree.h>
#include <vtkStaticCellLinks.h>


void closestPolyMeshPoint(vtkPolyData *polyMesh,
                          const double *point,
                          vtkKdTree *kdTree,
                          vtkStaticCellLinks *links,
                          double *toClosestPoint,
                          double *distanceToClosestPoint);


#endif